let EXPORTED_SYMBOLS = ["qfnServices"];

const Ci = Components.interfaces;
const Cc = Components.classes;

Components.utils.import("resource://gre/modules/XPCOMUtils.jsm");

let qfnServices = {};

XPCOMUtils.defineLazyGetter(qfnServices, "prefs", function () {
    var prefService = Cc["@mozilla.org/preferences-service;1"]
		.getService(Ci.nsIPrefService);
    var branch = prefService.getBranch("extensions.InBasic.QuickFoxNotes.");
    branch.QueryInterface(Ci.nsIPrefBranch2);

    return branch;
});
XPCOMUtils.defineLazyGetter(qfnServices, "dirsvc", function () {
  return Cc["@mozilla.org/file/directory_service;1"]
           .getService(Ci.nsIDirectoryService)
           .QueryInterface(Ci.nsIProperties);
});
XPCOMUtils.defineLazyGetter(qfnServices, "appInfo", function () {
  return Cc["@mozilla.org/xre/app-info;1"]
           .getService(Ci.nsIXULAppInfo)
           .QueryInterface(Ci.nsIXULRuntime);
});
XPCOMUtils.defineLazyServiceGetter(qfnServices, "jsDump",
                                   "@mozilla.org/consoleservice;1",
                                   "nsIConsoleService");

XPCOMUtils.defineLazyServiceGetter(qfnServices, "nativeJSON",
                                   "@mozilla.org/dom/json;1",
                                   "nsIJSON");
XPCOMUtils.defineLazyServiceGetter(qfnServices, "lFile",
                                   "@mozilla.org/file/local;1",
                                   "nsILocalFile");
XPCOMUtils.defineLazyServiceGetter(qfnServices, "str",
                                   "@mozilla.org/supports-string;1",
                                   "nsISupportsString");
XPCOMUtils.defineLazyServiceGetter(qfnServices, "prompts",
                                   "@mozilla.org/embedcomp/prompt-service;1",
                                   "nsIPromptService");
XPCOMUtils.defineLazyServiceGetter(qfnServices, "annotationService",
                                   "@mozilla.org/browser/annotation-service;1",
                                   "nsIAnnotationService");
XPCOMUtils.defineLazyServiceGetter(qfnServices, "bmsvc",
                                   "@mozilla.org/browser/nav-bookmarks-service;1",
                                   "nsINavBookmarksService");
XPCOMUtils.defineLazyServiceGetter(qfnServices, "scriptloader",
                                   "@mozilla.org/moz/jssubscript-loader;1",
                                   "mozIJSSubScriptLoader");
XPCOMUtils.defineLazyServiceGetter(qfnServices, "wm",
                                   "@mozilla.org/appshell/window-mediator;1",
                                   "nsIWindowMediator");
XPCOMUtils.defineLazyServiceGetter(qfnServices, "ww",
                                   "@mozilla.org/embedcomp/window-watcher;1",
                                   "nsIWindowWatcher");
XPCOMUtils.defineLazyServiceGetter(qfnServices, "params",
                                   "@mozilla.org/embedcomp/command-params;1",
                                   "nsICommandParams");
XPCOMUtils.defineLazyServiceGetter(qfnServices, "clipboard",
                                   "@mozilla.org/widget/clipboard;1",
                                   "nsIClipboard");
XPCOMUtils.defineLazyServiceGetter(qfnServices, "extMan",
                                   "@mozilla.org/extensions/manager;1",
                                   "nsIExtensionManager");
XPCOMUtils.defineLazyServiceGetter(qfnServices, "ioSvc",
                                   "@mozilla.org/network/io-service;1",
                                   "nsIIOService");
XPCOMUtils.defineLazyServiceGetter(qfnServices, "converter",
                                   "@mozilla.org/intl/converter-output-stream;1",
                                   "nsIConverterOutputStream");
XPCOMUtils.defineLazyServiceGetter(qfnServices, "filepicker",
                                   "@mozilla.org/filepicker;1",
                                   "nsIFilePicker");
XPCOMUtils.defineLazyServiceGetter(qfnServices, "loginManager",
                                   "@mozilla.org/login-manager;1",
                                   "nsILoginManager");
							  
							  
/*
XPCOMUtils.defineLazyServiceGetter(qfnServices, "contentPrefs",
                                   "@mozilla.org/content-pref/service;1",
                                   "nsIContentPrefService_MOZILLA_2_0");

XPCOMUtils.defineLazyServiceGetter(qfnServices, "obs",
                                   "@mozilla.org/observer-service;1",
                                   "nsIObserverService");

XPCOMUtils.defineLazyServiceGetter(qfnServices, "perms",
                                   "@mozilla.org/permissionmanager;1",
                                   "nsIPermissionManager");

XPCOMUtils.defineLazyServiceGetter(qfnServices, "search",
                                   "@mozilla.org/browser/search-service;1",
                                   "nsIBrowserSearchService");

XPCOMUtils.defineLazyServiceGetter(qfnServices, "vc",
                                   "@mozilla.org/xpcom/version-comparator;1",
                                   "nsIVersionComparator");

XPCOMUtils.defineLazyServiceGetter(qfnServices, "locale",
                                   "@mozilla.org/intl/nslocaleservice;1",
                                   "nsILocaleService");

XPCOMUtils.defineLazyServiceGetter(qfnServices, "tm",
                                   "@mozilla.org/thread-manager;1",
                                   "nsIThreadManager");

XPCOMUtils.defineLazyServiceGetter(qfnServices, "droppedLinkHandler",
                                   "@mozilla.org/content/dropped-link-handler;1",
                                   "nsIDroppedLinkHandler");

XPCOMUtils.defineLazyServiceGetter(qfnServices, "strings",
                                   "@mozilla.org/intl/stringbundle;1",
                                   "nsIStringBundleService");

XPCOMUtils.defineLazyServiceGetter(qfnServices, "urlFormatter",
                                   "@mozilla.org/toolkit/URLFormatterService;1",
                                   "nsIURLFormatter");

XPCOMUtils.defineLazyServiceGetter(qfnServices, "eTLD",
                                   "@mozilla.org/network/effective-tld-service;1",
                                   "nsIEffectiveTLDService");
 */